Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
cunconlangthang1088

xin lisp vẽ thép mũ

Các bài được khuyến nghị

Bạn nên post file chứa đoạn thép mũ của bạn nên,để mọi người lấy mẫu chuẩn.Vì cùng là thép mũ,mỗi cty lại thể hiện chiều dài kéo xuống khác nhau :)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Bạn nên post file chứa đoạn thép mũ của bạn nên,để mọi người lấy mẫu chuẩn.Vì cùng là thép mũ,mỗi cty lại thể hiện chiều dài kéo xuống khác nhau :)

 

vậy bác cho em xin lisp vẽ thép mũ của bác đi, miễn là khi xài, nó không hiện dạng lineweight là được @@. cám ơn bác

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
vậy bác cho em xin lisp vẽ thép mũ của bác đi, miễn là khi xài, nó không hiện dạng lineweight là được @@. cám ơn bác

Bình thường mình k dùng lisp để rải thép,toàn copy thủ công thôi^^ .

Bạn thử dùng cái này xem sao nhé

 

(Defun c:Tmu (/ d1 d2 d3 d4);(THEPSAN)
(setvar "angbase" 0)
;(setvar "clayer" ....)
(command "ortho" "on")
(setq d1 (getpoint "\nDiem thu nhat:"))
(setq d2 (getpoint d1"\nDiem thu hai:"))
(setq goc (angle d1 d2))
(setvar "osmode" 0)
(setq d3 (POLAR d1 (+ goc (/ pi 2)) 3))
(setq d4 (polar d3 goc (distance d1 d2)))
(Command "_.pline" d1 d3 d4 d2 "" )
(setvar "osmode" 641)
(princ)
)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Chào các Bác!
Tớ có đoạn lisp vẽ thép dầm mà chưa hoàn chỉnh được. có Bác nào sửa giúp em với, em muốn dời toạ độ gốc xOy và xO'y một khoảng 25mm cho trước. chi tiết xin mọi người xem hình ảnh đính kèm. Cám ơn mọi người trước nha!

(DEFUN C:TD (/ OLDERR CMD OSM DK PT1 PT2 STR PRPT GOCX
PTD PTC)
(setq oldlayer (getvar 'clayer)) (setvar 'clayer "0")
(SETQ OLDERR *error*
*error* myerror)
(setvar 'clayer "0")
(SETQ CMD (GETVAR "CMDECHO"))
(SETQ OSM (GETVAR "OSMODE"))
(SETVAR "CMDECHO" 0)
(SETQ DK (GETVAR "USERR3"))
(IF (= DK 0)
(PROGN
(SETQ STR "50")
(SETVAR "USERR3" 50)
)
(SETQ STR (RTOS DK))
)
(SETQ PRPT (STRCAT "do dai moc: <" STR ">:"))
(SETQ DK (GETREAL PRPT))
(IF (= DK NIL)
(SETQ DK (GETVAR "USERR3"))
(SETVAR "USERR3" DK)
)
(INITGET 7)
(SETQ PTD (GETPOINT "\nFrom point:"))
(INITGET 7)
(SETQ PTC (GETPOINT PTD "\nTo point:"))
(SETVAR "OSMODE" 0)
(SETQ GOCX (ANGLE PTD PTC))
(SETQ PT1 (POLAR PTD (+ GOCX (/ pi 4)) (* 1 DK)))
(SETQ PT2 (POLAR PTC (- GOCX (/ pi 0.8)) (* 1 DK)))
(COMMAND "PLINE" pt1 ptd ptc pt2 "")
(command (list (- (car p) 20) (+ (cadr p) 20)) )
(SETVAR "OSMODE" OSM)
(SETVAR "CMDECHO" CMD)
(setvar 'clayer oldlayer)
(PRINC))

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Bình thường mình k dùng lisp để rải thép,toàn copy thủ công thôi^^ .

Bạn thử dùng cái này xem sao nhé

 

 

(Defun c:Tmu (/ d1 d2 d3 d4);(THEPSAN)
(setvar "angbase" 0)
;(setvar "clayer" ....)
(command "ortho" "on")
(setq d1 (getpoint "\nDiem thu nhat:"))
(setq d2 (getpoint d1"\nDiem thu hai:"))
(setq goc (angle d1 d2))
(setvar "osmode" 0)
(setq d3 (POLAR d1 (+ goc (/ pi 2)) 3))
(setq d4 (polar d3 goc (distance d1 d2)))
(Command "_.pline" d1 d3 d4 d2 "" )
(setvar "osmode" 641)
(princ)
)

e có sd lisp của bác nhưng doạn moc xuống ngắn quá..bác sửa lại cho to lên đc k ạ

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay


×